/**
 * <copyright>
 * </copyright>
 *
 * $Id: CategoryMatrixValidator.java,v 1.1 2008-04-01 09:35:21 vmahe Exp $
 */
package orgomg.cwm.analysis.datamining.miningcore.miningdata.validation;

import org.eclipse.emf.common.util.EList;

import orgomg.cwm.analysis.datamining.classification.ClassificationTestResult;

import orgomg.cwm.analysis.datamining.miningcore.entrypoint.Schema;

import orgomg.cwm.analysis.datamining.miningcore.miningdata.Category;
import orgomg.cwm.analysis.datamining.miningcore.miningdata.MatrixProperty;

/**
 * A sample validator interface for {@link orgomg.cwm.analysis.datamining.miningcore.miningdata.CategoryMatrix}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface CategoryMatrixValidator {
	boolean validate();

	boolean validateDiagonalDefault(String value);
	boolean validateOffDiagonalDefault(String value);
	boolean validateKind(MatrixProperty value);
	boolean validateCategory(EList<Category> value);
	boolean validateSchema(Schema value);
	boolean validateTestResult(ClassificationTestResult value);
}
